Ext.regController('fibroline.controllers.contactController', {
	STORE_ID   : 'fibroline.stores.ContactStore',
	MODEL_ID   : 'fibroline.models.ContactModel',
	
	model      : null,
	store      : null,
	indexView  : null,
	
	init: function() {		
		this.model = Ext.ModelMgr.getModel(this.MODEL_ID);
		this.store = Ext.StoreMgr.get(this.STORE_ID);
	},
	
	data       : null,
	
	// atencion!!!: comentar! //
	setData: function (data) {
		this.data = data;
	},
	
	getData: function () {
		return this.data;
	},
	////
	
	index: function() {
		if (!this.indexView) {
		  this.indexView = this.render ({
			  xtype: 'fibroline.views.contact.ContactListPanel',
			  store: this.STORE_ID, 
			  listeners: {
				  list: {
					  select: function (list, record) {
						  this.data = record.data; 
						  Ext.dispatch({
							  controller: this.id, 
							  action: 'show' 
						  });
					  },
					  scope: this
				  },
				  active: function(listPanel) {
					  this.indexView.list.getSelectionModel().deselectAll();
				  }
			  }
	  	  });
		  
		  this.indexView.query('#addButton')[0].on({
			  tap: function (list, record) {
				  Ext.dispatch({controller: this.id, action: 'compose'});
			  },
			  scope: this
		  })
		  this.application.setCurrentView(this, this.indexView);
	  } else {
		  this.store.sort();
		  this.application.setCurrentView(this, this.indexView,{
			  type: 'slide',
			  direction: 'right'
		  });
	  }
  },
 
  // mirar el control
  show: function() {
	  var details = this.render({
		 xtype: 'fibroline.views.contact.ContactDetails',
		 data: this.data,
	  	 listeners: {
	  		 deactive: function(details) {
	  			 details.destroy();
	  		 }
	  	 }
	  });
	  details.query('#backButton')[0].on({
		  tap: function (list, record) {
			  Ext.dispatch({controller: this.id, action: 'index'});
		  },
		  scope: this
	  })
	  this.application.setCurrentView(this, details,{
		  type: 'slide',
		  direction: 'left'
	  });
  },
  	
  compose: function() {
	  this.form =  this.render({
		  xtype: 'fibroline.views.contact.ContactForm',
		  listeners: {
			  deactive: function(form) {
				  form.destroy();
			  }
		  }
	  });
	  
	  this.form.query('#cancelButton')[0].on({
		  tap: function (list, record) {
			  Ext.dispatch({controller: this.id, action: 'index'});
		  },
		  scope: this
	  })
	  
	  this.form.query('#doneButton')[0].on({
		  tap: function () {
			  this.store.create(this.form.getValues());
			  Ext.dispatch({
				  controller: this.id, 
				  action: 'index' 
			  });
		  }, 
		  scope: this
	  })
	  
	  this.application.setCurrentView(this, this.form,{
		  type: 'slide',
		  direction: 'left'
	  });
  },
  
});

fibroline.controllers.contactController = Ext.ControllerManager.get('fibroline.controllers.contactController');