/*
 * regController: crea un controlador y lo deja en Ext.ControllerManager con un id.
 * No es lazy, dado que lo crea.
 */
Ext.regController('fibroline.controllers.preferencesController', {
	
	model     : null,
	indexView : null,
	
	data       : null,
	setData: function (data) {
		this.data = data;
	},
	
	getData: function () {
		return this.data;
	},
	
	
	/*
	 * @private: initialization of the state stack
	 */
	saveFirstModel: function() {
		//get a reference to the User model class
		this.model = Ext.ModelMgr.create( {
				escala_dolor  : 0,
		    	diurno_time   : '09:30', 
		    	nocturno_time : '21:15'
		    }, 'fibroline.models.PreferencesModel');
		this.model.save();
		this.model = null;
	},
	
	
	
	getPreferences: function() {
		this.saveFirstModel();
		if (this.model == null) {
			// load model
			//get a reference to the User model class
			this.model = Ext.ModelMgr.getModel('fibroline.models.PreferencesModel');
			
			//Uses the configured RestProxy to make a GET request to /users/123
			this.model.load(1, {
				failure: function(record, operation) {
			        this.model = null;
			    },
			    success: function(model) {
			        this.model = model;
			    },
			    scope: this
			});
		}
		return this.model;
	},
	
	index: function() {
		if (!this.indexView) {
			this.indexView = this.render ({xtype:'fibroline.views.preferences.ExamplePanel',
				listeners: {
					// put here the listeners for the panel
				}
			});
		}
		this.application.setCurrentView(this, this.indexView, 'fade');
	}
});

fibroline.controllers.preferencesController = Ext.ControllerManager.get('fibroline.controllers.preferencesController');