/**
 * @author <href a="mailto:roman.roset@urv.cat"> Roman Roset </href>
 * @class fibroline.models.ApplicationModel
 * @extends Ext.data.Model
 * <p>This class encapsulates a <i>collection</i> of elements which have to save to open the application
 * in the last state before close it.</p>
 */

Ext.regModel('fibroline.models.ApplicationModel', {
	idProperty: 'id',
    fields: [
        { name: 'id'         ,type: 'int' },     
        { name: 'tab_order'  ,type: 'int' },     
        { name: 'controller' ,type: 'string' },
        { name: 'action'     ,type: 'string' }, 
        { name: 'data'       ,type: 'string' },
        { name: 'isActive'   ,type: 'boolean'}
    ],
    
    proxy: {
        type: 'localstorage',
        id: 'app-store'
    },
    
    data : null, 
    
    getController: function() {
    	return Ext.ControllerManager.get(this.get('controller'));
    },
    
    getData: function() {
    	return Ext.urlDecode(this.get('data'));
    },
    
    setData: function(data) {
    	var newData = Ext.urlEncode(data);
    	if (this.get("data") != newData )
    		this.set('data', newData);
    }
});