/**
 * @author <href a="mailto:roman.roset@urv.cat"> Roman Roset </href>
 * @class fibroline.models.ApplicationModel
 * @extends Ext.data.Model
 * <p>This class encapsulates a <i>collection</i> of elements which have to save to open the application
 * in the last state before close it.</p>
 */

Ext.regModel('fibroline.models.PreferencesModel', {
	idProperty: 'id',
    fields: [
        { name: 'id'            ,type: 'int' },     
        { name: 'escala_dolor'  ,type: 'int' },     // 0 : numerica, 1: caras     
        { name: 'diurno_time'   ,type: 'string' },  // formato: 24:00
        { name: 'nocturno_time' ,type: 'string' } 
    ],
    
    proxy: {
        type: 'localstorage',
        id: 'preferences-store'
    }
});