Ext.namespace('fibroline.seguimiento');  

/**
 * @author <href a="mailto:roman.roset@urv.cat"> Roman Roset </href>
 * @class fibroline.seguimiento.seguimientoModel
 * @extends Ext.data.Model
 * <p>This class encapsulates a <i>stack</i> of <interaction, data></p>
 * <p> used by the SeguimientoMgr to save the state before lanch the wizard
 */

Ext.regModel('fibroline.seguimiento.SeguimientoModel', {
	idProperty: 'id',
    fields: [
        { name: 'id'         ,type: 'int' },     
        { name: 'controller' ,type: 'string' },
        { name: 'action'     ,type: 'string' }, 
        { name: 'data'       ,type: 'string' },
    ],
    
    proxy: {
        type: 'localstorage',
        id: 'seguimiento-store'
    },
    
    data : null, 
    
    getController: function() {
    	return Ext.ControllerManager.get(this.get('controller'));
    },
    
    getData: function() {
    	return Ext.urlDecode(this.get('data'));
    },
    
    setData: function(data) {
    	var newData = Ext.urlEncode(data);
    	if (this.get("data") != newData )
    		this.set('data', newData);
    }
});